Sound Design Toolkit 075 Physically informed sound synthesis for everyday sounds

- Main Page
- Modules
- Data Structures
- Files

Typedefs | Functions
Two poles filter
SDTFilters.h: Audio filters

## Typedefs
typedef struct SDTTwoPoles | SDTTwoPoles
| Opaque data structure for a two poles filter object.

## Functions
SDTTwoPoles * | SDTTwoPoles_new ()
| Object constructor. More...
void | SDTTwoPoles_free (SDTTwoPoles *x)
| Object destructor. More...
void | SDTTwoPoles_lowpass (SDTTwoPoles *x, double fc)
| Puts the filter in lowpass mode, at the given cutoff frequency. More...
void | SDTTwoPoles_highpass (SDTTwoPoles *x, double fc)
| Puts the filter in highpass mode, at the given cutoff frequency. More...
void | SDTTwoPoles_resonant (SDTTwoPoles *x, double fc, double q)
| Puts the filter in resonant bandpass mode, at the given center frequency and Q. More...
double | SDTTwoPoles_dsp (SDTTwoPoles *x, double in)
| Signal processing routine. Call this function at sample rate to compute the filtered signal. More...

## Detailed Description

Two poles filter, configurable as lowpass, highpass or resonant bandpass.

## Function Documentation

double SDTTwoPoles_dsp | ( | SDTTwoPoles * | x,
|  | double | in
| ) |  |

Signal processing routine. Call this function at sample rate to compute the filtered signal.

Parameters

  [in] | in | Input sample

Returns
  Output sample

void SDTTwoPoles_free | ( | SDTTwoPoles * | x | ) |

Object destructor.

Parameters

  [in] | x | Pointer to the instance to destroy

void SDTTwoPoles_highpass | ( | SDTTwoPoles * | x,
|  | double | fc
| ) |  |

Puts the filter in highpass mode, at the given cutoff frequency.

Parameters

  [in] | fc | Cutoff frequency, in Hz

void SDTTwoPoles_lowpass | ( | SDTTwoPoles * | x,
|  | double | fc
| ) |  |

Puts the filter in lowpass mode, at the given cutoff frequency.

Parameters

  [in] | fc | Cutoff frequency, in Hz

SDTTwoPoles* SDTTwoPoles_new | ( |  | ) |

Object constructor.

Returns
  Pointer to the new instance

void SDTTwoPoles_resonant | ( | SDTTwoPoles * | x,
|  | double | fc,
|  | double | q
| ) |  |

Puts the filter in resonant bandpass mode, at the given center frequency and Q.

Parameters

  [in] | fc | Center frequency, in Hz
  [in] | q | Q factor, in 1/octave